<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>App</name>
    <filename>classApp.html</filename>
    <member kind="function">
      <type></type>
      <name>App</name>
      <anchorfile>classApp.html</anchorfile>
      <anchor>5616d066351b686511e1cd472b944cb6</anchor>
      <arglist>(Impl *p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Main</name>
      <anchorfile>classApp.html</anchorfile>
      <anchor>9eca42ff7be2dafe6f2007becb7caa4a</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Bishop</name>
    <filename>classBishop.html</filename>
    <base>Piece</base>
    <member kind="function">
      <type></type>
      <name>Bishop</name>
      <anchorfile>classBishop.html</anchorfile>
      <anchor>8099af28ac849034480cf9431fc87690</anchor>
      <arglist>(Side s, const std::string &amp;i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classBishop.html</anchorfile>
      <anchor>7b24f2843a5eb629b4defdac313c62dc</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Board</name>
    <filename>classBoard.html</filename>
    <member kind="function">
      <type></type>
      <name>Board</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>9ee491d4fea680cf69b033374a9fdfcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Board</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>c77f209904bb37545295c17649a9dc17</anchor>
      <arglist>(const Board &amp;b)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Board</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>f73f45730119a1fd8f6670f53f959e68</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Piece *</type>
      <name>Get</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>bc59eea35033b31e087e327c604032c9</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Move</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>ee1a66c7382400d94048f84f8c2f30a0</anchor>
      <arglist>(int x1, int y1, int x2, int y2, char promote, const std::string &amp;sn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Set</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>a6bdd47c1489d031c637c5714a14d3a0</anchor>
      <arglist>(int x, int y, Piece *p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Setup</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>b8708d3dacb292429bb832d802118ca4</anchor>
      <arglist>(const std::string &amp;sn)</arglist>
    </member>
    <member kind="function">
      <type>const Board &amp;</type>
      <name>operator=</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>130b69798c505bac6039dab6f0071a4e</anchor>
      <arglist>(const Board &amp;b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Take</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>816df230e0159c67342000db6e02c135</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>Piece *</type>
      <name>Taken</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>7f9f1aa2fcbe538929fc235df8686528</anchor>
      <arglist>(PieceType t, int &amp;n)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>ClearTaken</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>2c339d3516db785618903c286e11c9d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Piece *</type>
      <name>board</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>a4af6d99473de7fc9c0d238c6cf765b5</anchor>
      <arglist>[8][8]</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::list&lt; Piece * &gt;</type>
      <name>taken</name>
      <anchorfile>classBoard.html</anchorfile>
      <anchor>38fe7e2bc4d74df3cbc0fbf74a55253b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Button</name>
    <filename>classButton.html</filename>
    <member kind="function">
      <type></type>
      <name>Button</name>
      <anchorfile>classButton.html</anchorfile>
      <anchor>cf6709ac6520eba8bbaacca46c489551</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsPressed</name>
      <anchorfile>classButton.html</anchorfile>
      <anchor>2d53856f463046c56d5b6c11c54df864</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Up</name>
      <anchorfile>classButton.html</anchorfile>
      <anchor>50fe0fcb8efe4724bac53753d0e4a00a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Down</name>
      <anchorfile>classButton.html</anchorfile>
      <anchor>3fead0dc4e30f4802ed59e20ee5ca686</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Repeat</name>
      <anchorfile>classButton.html</anchorfile>
      <anchor>36b0210d929325ed4b2c147af602e116</anchor>
      <arglist>(void) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Chess2X</name>
    <filename>classChess2X.html</filename>
    <base>Impl</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Initialise</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>c7033b3cbb5e118b3b853f318aa96346</anchor>
      <arglist>(Screen &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Render</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>13c676b178304a5df04178f0f4d22751</anchor>
      <arglist>(Screen &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>NonRender</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>65a64de6aff743883c31a2998a61cba1</anchor>
      <arglist>(const Input &amp;input)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ButtonChange</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>111b813c861d881674c47f322902bb7e</anchor>
      <arglist>(const Input &amp;input, Input::ButtonType b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Message</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>d3d8dee6bf1aa91faa41e15555198870</anchor>
      <arglist>(const std::string &amp;m, const std::string &amp;m2=&quot;&quot;, const std::string &amp;m3=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Parse</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>c7ee25dca4cab0b63919e77244125a7e</anchor>
      <arglist>(const std::string line)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Win</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>59c17dd379e9a2fe8602979f16290627</anchor>
      <arglist>(const std::string &amp;line)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DisplayMessage</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>c8a1115eb13d862e42b9dda033cefad8</anchor>
      <arglist>(Screen &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DoMenu</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>6f9ae1d1d9cb07fc8d6a842e2ef1b6df</anchor>
      <arglist>(Screen &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ResetGame</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>add7eaeb046b7e65b62e285659151b29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Hint</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>4234a163d8d2094c0558a6952e5792d4</anchor>
      <arglist>(const std::string &amp;line)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Illegal</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>c74345ac95b5773d727e60de7421a580</anchor>
      <arglist>(const std::string &amp;line)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetSkins</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>951b0fdf2581330dd5ecce1f24f9cd41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSkin</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>4a3eeb29a09b6f50d82e09a5eb00fda0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetVolume</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>16982f4a33c7aba7c44fbcbe8c1cd805</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>UpSquare</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>29dd8c9dbf2009cce7ad764ca29b87c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DownSquare</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>9f3bade56e0beef58725769fd01cf080</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>LeftSquare</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>62ea2a0e4742e351c6b7fab3c52bd476</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RightSquare</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>9763582472bc4695481c62bc2135d0cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Difference</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>ef2fe0b444c5b5983e8c8fbbb808dfe6</anchor>
      <arglist>(Screen &amp;s, Font *f, const Colour &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Diff</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>fb34a906f395cbf2e6b913a2dad96527</anchor>
      <arglist>(PieceType t, Screen &amp;s, Font *f, const Colour &amp;c, int x, int y)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>MainAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>d94d22b2836d4b86cdb14f56b2739121</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>StartAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>2a3233f0ca177cc015a083d5b2a1a48a</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>InGameAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>82633fc568cbbdd1038da652620b1528</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>QuitAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>de68f97d4c2e2e1cc21d3fcba7566d36</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>PromoteAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>325180b0038f0376012de6dc74b71da0</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>LevelAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>d85ac17c1943c25726f6dcddfcaaca65</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>OptionsAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>3fde5f1bc2687a3dd64bcc3d274de715</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>SkinAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>425021c776aaa9b8f5e06193101534b5</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>MoveAction</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>0c77b3a877d6a2ec95d9e760a181bebc</anchor>
      <arglist>(void *data)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>Restore</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>e486962b5421d08e21de27e542865c84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>GetSounds</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>b39c9abeae9085a52de60a3ac0cc8fb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Sound *</type>
      <name>GetSound</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>f1e0ecd3d1b3bb2a66fcca81df1c57c0</anchor>
      <arglist>(const std::string &amp;fn)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>move_list_size</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>4a4ed5474923a12397f29a96a6bea575</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DisplayMode</type>
      <name>mode</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>081d34e6d88bb5fb0d8f580712217025</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DisplayMode</type>
      <name>old_mode</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>851567e8df1fa776bf38aa692f943677</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GameMode</type>
      <name>game_mode</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>295d98ba615413205b4d5cb3caf6b3e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>current_move</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>dd18e3fc2a40f827b744c52726f8ec3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::vector&lt; std::string &gt;</type>
      <name>skin_list</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>325e1b07355e6ecd75e8de1b4ec474b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::vector&lt; std::string &gt;::iterator</type>
      <name>skin</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>c43275e07a2f9f476f8da84694e810e0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::list&lt; std::string &gt;</type>
      <name>move_queue</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>9785f84af0ceabeae7279fd020dacd48</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>loaded</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>0b85f028ab4f1c50ad9a4c1bc87bb1d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>saved</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>11b5dbfb44b00654a6d56772d69cf391</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>win</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>26ced38865fd702a25a57707508570de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>moves_per_period</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>2bc917dff16967023cda43d9cd2ea17c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>last_x</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>3cedd441ad84e8a6e8e72f44507d6c83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>last_y</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>d3cc7438437b15cd797bd3c948bcc80f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ChessConfig</type>
      <name>config</name>
      <anchorfile>classChess2X.html</anchorfile>
      <anchor>f62605b43196d6627fce2c44be247ab7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ChessConfig</name>
    <filename>classChessConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>ChessConfig</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>4708ebf9dbb4d8543ccedc2e8165be4c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ChessConfig</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>51c66139c337e9288ff27ed02995a355</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>LoadFile</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>4ef08a2454eb5fa3756f8e87fa6b5d30</anchor>
      <arglist>(const std::string &amp;fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SaveFile</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>f94b388975b36b3358d7daf48bd721f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetValue</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>590d0c6ef425ea3aaf953cf49a89c764</anchor>
      <arglist>(const std::string &amp;n, int &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetValue</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>4c375f88eb631c235516a4b0f9c874ff</anchor>
      <arglist>(const std::string &amp;n, std::string &amp;v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetValue</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>f228814a66e9aebf3551e1af182c0a96</anchor>
      <arglist>(const std::string &amp;n, int v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetValue</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>c90cb59b13b536b4adf9c0247813ceea</anchor>
      <arglist>(const std::string &amp;n, const std::string &amp;v)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::string</type>
      <name>file_name</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>545e42045dfd96d7e851da4357ef0c7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::map&lt; std::string, std::string &gt;</type>
      <name>values</name>
      <anchorfile>classChessConfig.html</anchorfile>
      <anchor>77331af02873fdf4705d21b588c29ce0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Colour</name>
    <filename>classColour.html</filename>
    <member kind="function">
      <type></type>
      <name>Colour</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>b0a039a9bb9e701803814b247570a932</anchor>
      <arglist>(unsigned short)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Colour</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>8d6b8043266dd691b16fd844e49cc2dd</anchor>
      <arglist>(const Screen &amp;s, Uint8 r, Uint8 g, Uint8 b)</arglist>
    </member>
    <member kind="function">
      <type>Uint32</type>
      <name>Get</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>d5fd8b474f74b3229b31079fc9152ced</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>SDL_Color</type>
      <name>SGet</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>063302cd732581969f0a0f9112b7e0eb</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>a18e1c0a6cbddac8f3c95aa562790dd6</anchor>
      <arglist>(const Colour &amp;c) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>09094d28d5f5aaf0c8fec68972dbca95</anchor>
      <arglist>(const Colour &amp;c) const</arglist>
    </member>
    <member kind="function">
      <type>Colour &amp;</type>
      <name>operator=</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>6c4ddd09776e0e5cdb6e67ea40de98b8</anchor>
      <arglist>(const Colour &amp;c)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const Colour</type>
      <name>NONE</name>
      <anchorfile>classColour.html</anchorfile>
      <anchor>000d97b5ba2e0091eadf712805060fc9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Font</name>
    <filename>classFont.html</filename>
    <member kind="function">
      <type></type>
      <name>Font</name>
      <anchorfile>classFont.html</anchorfile>
      <anchor>50179841d394fbd2b2d5217848a19c3d</anchor>
      <arglist>(std::string fn, int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PutChar</name>
      <anchorfile>classFont.html</anchorfile>
      <anchor>962e45b0bc42258a8c72cb12cbbdeac2</anchor>
      <arglist>(Surface &amp;dest, int x, int y, const Colour &amp;fg, const Colour &amp;bg, int c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PutString</name>
      <anchorfile>classFont.html</anchorfile>
      <anchor>b12fc778ed7886722b22a5807f61b22b</anchor>
      <arglist>(Surface &amp;dest, int x, int y, const Colour &amp;fg, const Colour &amp;bg, std::string s) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetSize</name>
      <anchorfile>classFont.html</anchorfile>
      <anchor>8723815bdeee0d7afb5c9e54a4a9dc32</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetTextSize</name>
      <anchorfile>classFont.html</anchorfile>
      <anchor>d752820d05326cb7c338a7c74803c5e1</anchor>
      <arglist>(const std::string &amp;text, int &amp;w, int &amp;h) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>History</name>
    <filename>classHistory.html</filename>
    <member kind="function">
      <type></type>
      <name>History</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>fcf6fc53b66bd242988bf3a11c793c47</anchor>
      <arglist>(int n, const Board &amp;b, const std::string m, bool w, int lx, int ly, int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetMoveNo</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>8644349508511654901be5366357ab94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetLastPosition</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>ba2942592e8e175690a82625900ddb83</anchor>
      <arglist>(int &amp;x, int &amp;y)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetThisPosition</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>87627241e27f51fad168b2bfc09b7164</anchor>
      <arglist>(int &amp;x, int &amp;y)</arglist>
    </member>
    <member kind="function">
      <type>const Board &amp;</type>
      <name>GetBoard</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>c4322b8e91981b45a2ae01f6947c5260</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const std::string &amp;</type>
      <name>GetMove</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>534b614f91370cbad9b54a2e4a60e37e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetWhitesTurn</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>eeb1a0d8395e2d73eb86065f707ab1bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>move_no</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>14beed8ef0f685467af7eed811ac078b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Board</type>
      <name>board</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>8d467c80f9508102a759c455db4267d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::string</type>
      <name>move</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>0a990e2534505990fa022004546f4488</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>whites_turn</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>a4551ca0cfced099a7b27f574f4b6b3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>last_x</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>35ada05ed60d128bb33fcc13646a71c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>last_y</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>24063681a4aeb8773c89c16bcf2a3a99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>this_x</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>cdf1b1501e35dd3d3eec7b49fe027b1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>this_y</name>
      <anchorfile>classHistory.html</anchorfile>
      <anchor>a7b07b0822a56b4153c7ed17f00216eb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Image</name>
    <filename>classImage.html</filename>
    <base>Surface</base>
    <member kind="function">
      <type></type>
      <name>Image</name>
      <anchorfile>classImage.html</anchorfile>
      <anchor>74beaef093a2692206075535912eb4fc</anchor>
      <arglist>(const Surface &amp;dest, std::string fn)</arglist>
    </member>
    <member kind="function">
      <type>SDL_Surface *</type>
      <name>GetImage</name>
      <anchorfile>classImage.html</anchorfile>
      <anchor>b21ef7ce33a8743e69e713802fdeb68f</anchor>
      <arglist>(void) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Impl</name>
    <filename>classImpl.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Initialise</name>
      <anchorfile>classImpl.html</anchorfile>
      <anchor>c30bfea9123299cddfb5c8904c859a0e</anchor>
      <arglist>(Screen &amp;s)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>Render</name>
      <anchorfile>classImpl.html</anchorfile>
      <anchor>24e0dd58a147401d6abf9b643bebb467</anchor>
      <arglist>(Screen &amp;s)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>NonRender</name>
      <anchorfile>classImpl.html</anchorfile>
      <anchor>ea8cbb08dfd1304e7559f661acc8212b</anchor>
      <arglist>(const Input &amp;input)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>ButtonChange</name>
      <anchorfile>classImpl.html</anchorfile>
      <anchor>a0050318aabd86a4460619889bc6c3d8</anchor>
      <arglist>(const Input &amp;input, Input::ButtonType b)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Input</name>
    <filename>classInput.html</filename>
    <member kind="function">
      <type>void</type>
      <name>Down</name>
      <anchorfile>classInput.html</anchorfile>
      <anchor>432392b10a6446c8da5352ddc1ccebd0</anchor>
      <arglist>(ButtonType b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Up</name>
      <anchorfile>classInput.html</anchorfile>
      <anchor>c61a46f0d641ed44aac4f057634126d2</anchor>
      <arglist>(ButtonType b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsPressed</name>
      <anchorfile>classInput.html</anchorfile>
      <anchor>442082e0b65dcf4de7fcf9e4895eafd2</anchor>
      <arglist>(ButtonType b) const </arglist>
    </member>
    <member kind="function">
      <type>ButtonType</type>
      <name>Translate</name>
      <anchorfile>classInput.html</anchorfile>
      <anchor>a71e5ba579305f8405451adfbe0a79a7</anchor>
      <arglist>(int key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Repeat</name>
      <anchorfile>classInput.html</anchorfile>
      <anchor>a5379754db75816b3eab941e89c2cf4f</anchor>
      <arglist>(ButtonType b) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>King</name>
    <filename>classKing.html</filename>
    <base>Piece</base>
    <member kind="function">
      <type></type>
      <name>King</name>
      <anchorfile>classKing.html</anchorfile>
      <anchor>9f6fc267fddafc5a618bc0e9d91caaaf</anchor>
      <arglist>(Side s, const std::string &amp;i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classKing.html</anchorfile>
      <anchor>72245953ffffe10da24758ee0ab825db</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Move</name>
      <anchorfile>classKing.html</anchorfile>
      <anchor>53735955a07786377701fddc2321cda7</anchor>
      <arglist>(Board &amp;board, int x1, int y1, int x2, int y2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Knight</name>
    <filename>classKnight.html</filename>
    <base>Piece</base>
    <member kind="function">
      <type></type>
      <name>Knight</name>
      <anchorfile>classKnight.html</anchorfile>
      <anchor>b95a2822d1f375e9398c4f211f58f963</anchor>
      <arglist>(Side s, const std::string &amp;i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classKnight.html</anchorfile>
      <anchor>c4deaac1d15b0d6d9ee3b4dae96524cb</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Menu</name>
    <filename>classMenu.html</filename>
    <member kind="function">
      <type></type>
      <name>Menu</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>eddfaaa487774956267dfa8cb837471c</anchor>
      <arglist>(const std::string &amp;t=&quot;&quot;, const std::string &amp;s=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Menu</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>831387f51358cfb88cd018e1777bc980</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Add</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>5427de1cdf42040b912f2da63ff8abd0</anchor>
      <arglist>(const std::string &amp;option)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Render</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>683777417769fe0fefa905dc4fe2525e</anchor>
      <arglist>(Surface &amp;s, const Font &amp;f, const Colour &amp;fg, const Colour &amp;bg, const Colour &amp;hl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Up</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>7477c08823e9322963d9cac0b326d87f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Down</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>2963765d4666e9f4dea6b3e508a020a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetOption</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>863b518d5bac91e92cd2110d37c958f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCallback</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>cd03aebd0eadca2ef80099b659352d5f</anchor>
      <arglist>(void(*fn)(void *), void *data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>DoAction</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>3e928aea54098587d94c4c685fb1b2f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetOption</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>5b4b00658291e6cc1bcedd6b0d0c0b6c</anchor>
      <arglist>(int opt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCaption</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>16bc035f91c7c7b8c8bee532f6218af9</anchor>
      <arglist>(const std::string &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSubtitle</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>773d5ef9269773786d19ea3b70856795</anchor>
      <arglist>(const std::string &amp;s)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>Centre</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>d259cb205fa546e01ef146651752146e</anchor>
      <arglist>(Surface &amp;s, const Font &amp;f, const Colour &amp;fg, const Colour &amp;bg, const std::string &amp;text, int y, int len)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::vector&lt; std::string &gt;</type>
      <name>options</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>de5f7bf82cfe703a52210e3752b36567</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>max_len</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>41d2415c92cd9331e58399428d04c79d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>current_option</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>85c4b4260f8c3417877c3f9c77f0dd54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::string</type>
      <name>title</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>2c72bb2205a0f3126c05e2f3b87e09bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::string</type>
      <name>subtitle</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>5d4125bd8daf78028cfe4ea9cebba716</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>void *</type>
      <name>callback_data</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>d4bbdc9f5a61421b5a638c6f2ff94cb0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>void(*</type>
      <name>callback</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>ddb08bb0996e2657fcd421b17a689f0b</anchor>
      <arglist>)(void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::string</type>
      <name>caption</name>
      <anchorfile>classMenu.html</anchorfile>
      <anchor>6b198324209dbdbbc233fc3aa60d139e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Pawn</name>
    <filename>classPawn.html</filename>
    <base>Piece</base>
    <member kind="function">
      <type></type>
      <name>Pawn</name>
      <anchorfile>classPawn.html</anchorfile>
      <anchor>363da23aa6568d7c181e346e5eb36b94</anchor>
      <arglist>(Side s, const std::string &amp;i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Move</name>
      <anchorfile>classPawn.html</anchorfile>
      <anchor>721c313b25b322fa3856584c7c38d952</anchor>
      <arglist>(Board &amp;board, int x1, int y1, int x2, int y2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classPawn.html</anchorfile>
      <anchor>5818a1b4e41406ed8c24809714fface7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>CheckPromote</name>
      <anchorfile>classPawn.html</anchorfile>
      <anchor>b65fb2b4835c8fb8dcef6b91eb602740</anchor>
      <arglist>(int x1, int y1, int x2, int y2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Piece</name>
    <filename>classPiece.html</filename>
    <member kind="function">
      <type></type>
      <name>Piece</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>c0354e6265322a3449e2096e33f79b2e</anchor>
      <arglist>(const std::string &amp;i, PieceType t, Side s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Piece</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>58e9634e3ddd034a582fb56542096df6</anchor>
      <arglist>(const Piece &amp;p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Piece</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>5d7a4f6bade94cb33b6f634de8aa7918</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Draw</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>a85cb2e95dc77e80e9bd2d708c754864</anchor>
      <arglist>(Screen &amp;s, int x, int y)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Move</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>9c643703e0e2c33806f1bbb75c7dda97</anchor>
      <arglist>(Board &amp;board, int x1, int y1, int x2, int y2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>CheckPromote</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>727521ea253baa0f2f709ab430b9a677</anchor>
      <arglist>(int x1, int y1, int x2, int y2)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>9459072b7ff68d3aabff3ee74be1d15b</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function">
      <type>Side</type>
      <name>GetSide</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>802e8fb0222911148fc31b2ba04a06f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PieceType</type>
      <name>GetType</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>7bf100b09a6c7b84bcdb7c9141274d72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetImage</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>490af99f4818975f1aa62dbbb4acc691</anchor>
      <arglist>(const std::string &amp;fn)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::string</type>
      <name>file_name</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>6706bfb05260703d68a29a8a0868f7b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PieceType</type>
      <name>type</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>b8f29312ab7939c96ff03f1fb8957d1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Side</type>
      <name>side</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>b9b11f621c6bfad00f0b0771d4a9a6b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Image *</type>
      <name>image</name>
      <anchorfile>classPiece.html</anchorfile>
      <anchor>e62442dd3ed00e04d3bce79cf390a9e0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Queen</name>
    <filename>classQueen.html</filename>
    <base>Piece</base>
    <member kind="function">
      <type></type>
      <name>Queen</name>
      <anchorfile>classQueen.html</anchorfile>
      <anchor>2c1e97500257e545de62a5255feacf3f</anchor>
      <arglist>(Side s, const std::string &amp;i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classQueen.html</anchorfile>
      <anchor>b7de29bcca152d3c9a544a02cf6596f2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Rook</name>
    <filename>classRook.html</filename>
    <base>Piece</base>
    <member kind="function">
      <type></type>
      <name>Rook</name>
      <anchorfile>classRook.html</anchorfile>
      <anchor>23dcf10a5a3b30da3e199751215a1eee</anchor>
      <arglist>(Side s, const std::string &amp;i)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Piece *</type>
      <name>Clone</name>
      <anchorfile>classRook.html</anchorfile>
      <anchor>2705ac1893626828caa4a5d052044d84</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Screen</name>
    <filename>classScreen.html</filename>
    <base>Surface</base>
    <member kind="function">
      <type></type>
      <name>Screen</name>
      <anchorfile>classScreen.html</anchorfile>
      <anchor>4fd315da02eebd632bdae444496c10ca</anchor>
      <arglist>(int w, int h)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Lock</name>
      <anchorfile>classScreen.html</anchorfile>
      <anchor>608ac633d597d2d328c02dfaa87b999e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Unlock</name>
      <anchorfile>classScreen.html</anchorfile>
      <anchor>55a40ebf54d66ddc63db8965b643bef1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Update</name>
      <anchorfile>classScreen.html</anchorfile>
      <anchor>16afb24ae6b309150d5bc952d048003d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>SDL_Surface *</type>
      <name>get_screen</name>
      <anchorfile>classScreen.html</anchorfile>
      <anchor>9fb48da209f3561aec389a50396ac3cc</anchor>
      <arglist>(void) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Sound</name>
    <filename>classSound.html</filename>
    <member kind="function">
      <type></type>
      <name>Sound</name>
      <anchorfile>classSound.html</anchorfile>
      <anchor>1d44b59b6be7e7ae905170e0878f1c3f</anchor>
      <arglist>(std::string fn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Play</name>
      <anchorfile>classSound.html</anchorfile>
      <anchor>8106f65989f5cd4490c6cfe7032cf2b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetVolume</name>
      <anchorfile>classSound.html</anchorfile>
      <anchor>2980bb6ecb99f4bb2a99a6ef090b1904</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VolumeUp</name>
      <anchorfile>classSound.html</anchorfile>
      <anchor>655a27b8b073380b1993b0566f1631e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VolumeDown</name>
      <anchorfile>classSound.html</anchorfile>
      <anchor>eb781f5ff372154444b9187391c1ca80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetVolume</name>
      <anchorfile>classSound.html</anchorfile>
      <anchor>41d5b7b6686f8566a6b4e515fc307ed9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Surface</name>
    <filename>classSurface.html</filename>
    <member kind="function">
      <type></type>
      <name>Surface</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>8fc57f2a15292135c00545c9d224ec68</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Surface</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>89de75c95cb550d432f3ea4ed1429db0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PutPixel</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>b0a8f406de894271024e3f2495a5006b</anchor>
      <arglist>(int x, int y, const Colour &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Rect</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>fc9cb35b68991b703793cd7cf1dbe1c5</anchor>
      <arglist>(int x, int y, int w, int h, const Colour &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>GetPixel</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>833d25529c66822f4c9331973a5103e9</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>SDL_PixelFormat *</type>
      <name>Format</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>8aa2f89d08c06745600bdd03aae76285</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Put</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>be47251577098f549c601dcaccaac062</anchor>
      <arglist>(Surface &amp;dest, int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PutBlended</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>e906e7d379cda20f4fdc7298faac311d</anchor>
      <arglist>(Surface &amp;dest, int x, int y, const Colour &amp;transparent)</arglist>
    </member>
    <member kind="function">
      <type>SDL_Surface *</type>
      <name>GetSurface</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>7d40e7479af87861cf20dacff438e172</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSurface</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>969f5d7e59f65667620500cba41689d5</anchor>
      <arglist>(SDL_Surface *theValue)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetWidth</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>ba77fb009f0e157ced06bd01245a45b8</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetHeight</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>a09adc46837a9e61564f9f5872a6db7b</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SDL_Surface *</type>
      <name>surface</name>
      <anchorfile>classSurface.html</anchorfile>
      <anchor>d36a01f97746ecb74bbe437468197d71</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>gp2x/chess2xsrc-0.3/</name>
    <path>/main/home/dave/gp2x/chess2xsrc-0.3/</path>
    <filename>dir_43503e99256c2aa337be5b652cffcfa5.html</filename>
    <dir>gp2x/chess2xsrc-0.3/libsrc/</dir>
    <dir>gp2x/chess2xsrc-0.3/src/</dir>
  </compound>
  <compound kind="dir">
    <name>gp2x/</name>
    <path>/main/home/dave/gp2x/</path>
    <filename>dir_96a2562f26ca6763f2c46ea226ac8fcf.html</filename>
    <dir>gp2x/chess2xsrc-0.3/</dir>
  </compound>
  <compound kind="dir">
    <name>gp2x/chess2xsrc-0.3/libsrc/</name>
    <path>/main/home/dave/gp2x/chess2xsrc-0.3/libsrc/</path>
    <filename>dir_ca3d8ae0a9c729f54ac68fb11edac7eb.html</filename>
    <file>app.cpp</file>
    <file>app.h</file>
    <file>button.cpp</file>
    <file>button.h</file>
    <file>colour.cpp</file>
    <file>colour.h</file>
    <file>font.cpp</file>
    <file>font.h</file>
    <file>image.cpp</file>
    <file>image.h</file>
    <file>impl.h</file>
    <file>input.cpp</file>
    <file>input.h</file>
    <file>menu.cpp</file>
    <file>menu.h</file>
    <file>screen.cpp</file>
    <file>screen.h</file>
    <file>sound.cpp</file>
    <file>sound.h</file>
    <file>surface.cpp</file>
    <file>surface.h</file>
  </compound>
  <compound kind="dir">
    <name>gp2x/chess2xsrc-0.3/src/</name>
    <path>/main/home/dave/gp2x/chess2xsrc-0.3/src/</path>
    <filename>dir_dd8e496d76a0b011d71839fccb82b91f.html</filename>
    <file>board.cpp</file>
    <file>board.h</file>
    <file>chess2x.cpp</file>
    <file>chess2x.h</file>
    <file>chesscommon.h</file>
    <file>chessconfig.cpp</file>
    <file>chessconfig.h</file>
    <file>history.cpp</file>
    <file>history.h</file>
    <file>main.cpp</file>
    <file>piece.cpp</file>
    <file>piece.h</file>
  </compound>
</tagfile>
